Несколько уязвимостей в Interact

Дата публикации:
31.10.2008
Всего просмотров:
1619
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-3868
CVE-2008-3867
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Interact 2.x
Уязвимые версии: Interact 2.4.1, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов перед выполнением некоторых действий. Удаленный пользователь может произвести CSRF нападение.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "email_user_key" в сценарии spaces/emailuser.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости злоумышленник должен знать префикс таблиц базы данных.

URL производителя: www.interactlms.org

Решение: Установите исправление для уязвимости #2 с сайта производителя.
sourceforge.net/tracker/…=525406

Ссылки: Secunia Research: Interact SQL Injection and Cross-Site Request Forgery

или введите имя

CAPTCHA